id: trading212-phish

info:
  name: trading212 phishing Detection
  author: rxerium
  severity: info
  description: |
    A trading212 phishing website was detected
  reference:
    - https://trading212.com
  metadata:
    max-request: 1
  tags: phishing,trading212,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Commission-free investing for everyone | Trading 212'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"trading212.com")'
# digest: 490a00463044022059ebf25db7d2f023aed6293ed746340a5874744d941bb60a84aa966932fd859d02203e45100daeca1f5ee4199989d2a89d4d131a716af2eb173494aba897e91e4ef3:922c64590222798bb761d5b6d8e72950